out "garbage";
%% File: expmatn.red
%% Date: May 10, 1990
%% Type: nilpotent - upper triangular matrix
%% Status: ***

%% This program computes the exponential exp(t*xgm)
%% of the nilpotent mgv x mgv-upper triangular matrix xgm
%% using differential equations

%% Requirements:
%% mgv - the dimension
%% xgm - the nilpotent upper triangular matrix xgm(mgv,mgv)

%% Results:
%% agm(mgv,mgv) - exp(t*xgm)

%% Global variables:
%% mgv

%% Global matrices:
%% xgm(mgv,mgv), agm(mgv,mgv)

%% Local variables:
%% jlv,vlv,clv,ulv,colv

   Matrix agm(mgv,mgv);
   For jlv:=1:mgv do agm(jlv,jlv):=1;

   For vlv:=1:mgv-1 do for jlv:=1:mgv-vlv do
   Begin
      clv:=For ulv:=1:vlv sum
       xgm(jlv,jlv+ulv)*agm(jlv+ulv,jlv+vlv);
      clv:=int(clv,t);
      colv:=sub(t=0,clv);
      agm(jlv,jlv+vlv):=clv-colv;
   End;

shut "garbage";
;end;






