%% File: symdif red
%% Date: May 4, 1989
%% Typ General
%% Status: *

%% This program symmetrizes the polynomial polgv
%% given in the variables y(1),...,y(m)
%% by substituting the differential operators
%% difgo(1,.),...,difgo(m,.)

%% Requirements:
%% The number af variables mgv
%% The polynomial polgv
%% The operators difgo(1,.),...,difgo(mgv,.)
%% given in the variables x(1),...,x(mgv)

%% Results:
%% The differential expression symdifgv

%% Global variables:
%% mgv, polgv, symdifgv

%% Global operators:
%% y(.),x(.),difgo(1,.),...,difgo(mgv,.)

%% Local variables:
%% jlv,anclv,bnclv,faclv,countlv,ulv

   anclv:=polgv*f;
   bnclv:=polgv*f;
   faclv:=1;
   countlv:=0;
   While anclv neq 0 do
   Begin
      anclv:=for ulv:=1:mgv sum difgo(ulv,df(anclv,y(ulv)));
      countlv:=countlv+1;
      faclv:=faclv*countlv;
      bnclv:=bnclv+anclv/faclv;
   End;
   For ulv:=1:mgv do  bnclv:=sub(y(ulv)=0,bnclv);
   symdifgv:=bnclv;

;end;

