%% File: adt.red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the adjoint representation

%% Requirements:
%% mgv - the dimension
%% innerga(mgv) - the entries of xyx^{-1}
%% expga(mgv) - the entries of exp(u_1X_1+...+u_mX_m)
%% adga(mgv) - the entries of Ad(x)

%% Results:
%% adtgv - 0 if and only if test is OK

%% Global variables:
%% mgv,adtgv

%% Global arrays:
%% innerga(mgv),iga(mgv),expga(mgv),adga(mgv)

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% pla(mgv,mgv),pla(mgv),lhsla(mgv),rhsla(mgv)

%% Local operators:
%% xlo(.),ylo(.),ulo(.)

   Array pla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),y(ulv)=ylo(ulv),clv);
      pla(jlv):=clv;
   End;

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=innerga(jlv);
      For ulv:=1:mgv do clv:=sub(y(ulv)=expga(ulv),clv);
      lhsla(jlv):=clv;
   End;

   Array rhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=ulo(ulv),clv);
      For ulv:=1:mgv do clv:=sub(ulo(ulv)=adga(ulv),clv);
      rhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
    if lhsla(jlv) neq rhsla(jlv) then testlv:=testlv+1;
   adtgv:=testlv;

;end;
