%% File: multexpt red
%% Date: April 18, 1992
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the multiplication in exponential coordinates 
%% for associativity

%% Requirements:
%% mgv - the dimension
%% pexga(mgv) - the entries of (u_1,...,u_m)(v_1,...,v_m)

%% Results:
%% multexptgv - 0 if and only if test is OK

%% Global variables:
%% mgv,multexptgv

%% Global arrays:
%% pexga(mgv)

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% pla(mgv),lhsla(mgv),pyzla(mgv),rhsla(mgv)

%% Local operators:
%% xlo(.),ylo(.)

   Array pla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pexga(jlv);
      For ulv:=1:mgv do
       clv:=sub(u(ulv)=ulo(ulv),v(ulv)=vlo(ulv),clv);
   pla(jlv):=clv;
   End;

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(ulo(ulv)=pexga(ulv),vlo(ulv)=w(ulv),clv);
      lhsla(jlv):=clv;
   End;

   Array pvwla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(ulo(ulv)=v(ulv),vlo(ulv)=w(ulv),clv);
      pvwla(jlv):=clv;
   End;

   Array rhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(ulo(ulv)=u(ulv),vlo(ulv)=pvwla(ulv),clv);
      rhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
    if lhsla(jlv) neq rhsla(jlv) then 
     << testlv:=testlv+1; write multexp(jlv):=lhsla(jlv)-rhsla(jlv) >>;

   multexptgv:=testlv;


;end;



