%% File: adss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the adjoint representation

%% Requirements:
%% mgv - the dimension
%% innerga(mgv) - the inner automorphisms

%% Results:
%% adga(mgv) - the entries of Ad(x)(u_1X_1+...+u_mX_m)
%% adgm(mgv,mgv) - the matrix of Ad(x)

%% Global variables:
%% mgv

%% Global arrays:
%% innerga(mgv),adga(mgv)

%% Global matrices:
%% adgm(mgv,mgv);

%% Local variables:
%% jlv,clv,ulv

%% Local arrays:
%% exla(mgv)

   Array exla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=t*u(ulv),clv);
      exla(jlv):=clv;
   End;

   For jlv:=1:mgv do
   Begin
      clv:=innerga(jlv);
      For ulv:=1:mgv do clv:=sub(y(ulv)=exla(ulv),clv);
       adga(jlv):=sub(t=0,df(clv,t));
   End;

   Matrix adgm(mgv,mgv);
   For jlv:=1:mgv do for klv:=1:mgv do
    adgm(jlv,klv):=df(adga(jlv),u(klv));

;end;









