%% File: dlregss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the left regular representation
%% for a solvable Lie group using a basis of subalgebra type

%% Requirements:
%% mgv - the dimension
%% alphaga(mgv,mgv,mgv) - exponentials of ad(-tX_i)

%% Results:
%% aga(mgv,mgv,mgv) - coefficients of infinitesimal form
%%                    of left regular representation
%% dlregga(mgv) - the left regular representation
%% dlletgu(mgv) - the left regular representation - let form

%% Global variables:
%% mgv

%% Global arrays:
%% alphaga(mgv,mgv,mgv),aga(mgv,mgv,mgv),dlregga(mgv)

%% Global operators:
%% doxgo(.)

%% Local variables:
%% ilv,jlv,klv,ulv

   Array aga(mgv,mgv,mgv);
   aga(1,1,1):=-1;
   For ilv:=2:mgv do
   Begin
      Write "Nu beregnes X(",ilv,")";
      aga(ilv,ilv,ilv):=-1;
      For jlv:=1:ilv-1 do for klv:=1:ilv-1 do
       aga(ilv,jlv,klv):=For ulv:=1:ilv-1 sum
        aga(ilv-1,jlv,ulv)*sub(t=x(ilv),alphaga(ilv,ulv,klv));
   showtime;
   End;

   Array dlregga(mgv);
   For klv:=1:mgv do dlregga(klv):=for jlv:=1:mgv
    sum aga(mgv,jlv,klv)*ddx(jlv);

;end;













