%% File: expss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the exponential map

%% Requirements:
%% mgv - the dimension
%% aga(mgv,mgv,mgv) - coefficients of infinitesimal form
%%                    of left regular representation

%% Results:
%% expga(mgv) - the entries of exp(u_1X_1+...+u_mX_m)

%% Global variables:
%% mgv

%% Global arrays:
%% aga(mgv,mgv,mgv),expga(mgv,mgv)

%% Local variables:
%% jlv,klv,clv,ulv,colv

%% Local arrays:
%% ala(mgv),thetala(mgv)
   Array ala(mgv);
   For jlv:=1:mgv do
    ala(jlv):=for klv:=1:mgv sum u(klv)*aga(mgv,jlv,klv);

   Array thetala(mgv);
   Array expga(mgv);
   For jlv:=mgv step -1 until 1 do
   Begin
      Write "Nu beregnes exp(",jlv,")";
      clv:=ala(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=thetala(ulv),clv);
      clv:=-int(clv,t);
      colv:=sub(t=0,clv);
      thetala(jlv):=clv-colv;
      expga(jlv):=sub(t=1,thetala(jlv));
      showtime;
   End;

;end;







