%% File: logcsi red
%% Date: May 9, 1994
%% Type: Completely solvable - basis of ideal type
%% Status: *

%% This program computes the logarithm

%% Requirements:
%% mgv - the dimension
%% expga(mgv) - the entries of exp(u_1X_1+...x_mX_m)

%% Results:
%% logga(mgv) - the entries of the inverse log(x_1,...,x_m)

%% Global variables:
%% mgv

%% Global arrays:
%% expga(mgv),logga(mgv)

%% Local variables:
%% jlv,clv,ulv

   Array logga(mgv);
   For jlv:=mgv step -1 until 1 do
   Begin
      dlv:=df(expga(jlv),u(jlv));
      clv:=expga(jlv)-dlv*u(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=logga(ulv),clv);
      For ulv:=pgv+1:mgv do dlv:=sub(u(ulv)=x(ulv),dlv);
      logga(jlv):=(x(jlv)-clv)/dlv;
   End;

;end;




