%% File: multexpni.red
%% Date: April 18, 1992
%% Type: Nilpotent - basis of ideal type
%% Status: 

%% This program computes the product i exponential coordinates
%% (canonical coordinates of the first kind) of a nilpotent group

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the product in canonical coordinates of the second kind
%% expga(mgv) - the exponential map
%% logga(mgv) - the logarithm

%% Results:
%% pexga(mgv) - the product in exponential coordinates

%% Global variables:
%% mgv

%% Global arrays:
%% aga(mgv,mgv,mgv),expga(mgv,mgv)

%% Local variables:
%% jlv,klv,clv,ulv,colv

%% Local arrays:
%% ala(mgv),thetala(mgv)

   For jlv:=1:mgv do xulo(jlv):=expga(jlv);

   For jlv:=1:mgv do 
   Begin
      clv:=expga(jlv);
      for klv:=1:mgv do clv:=sub(u(klv)=v(klv),clv);
      xvlo(jlv):=clv;
   End;

   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      for klv:=1:mgv do clv:=sub(x(klv)=xulo(klv),y(klv)=xvlo(klv),clv);
      xuvlo(jlv):=clv;
   End;

   For jlv:=1:mgv do
   Begin
      clv:=logga(jlv);
      for klv:=1:mgv do clv:=sub(x(klv)=xuvlo(klv),clv);
      pexga(jlv):=clv;
   End;


;end;

