%% File: wactionss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the action of exp(-tX_k) on R^m

%% Requirements:
%% mgv - the dimension
%% aga(mgv,mgv,mgv) - coefficients of infinitesimal form
%%                    of left regular representation

%% Results:
%% wga(mgv,mgv) - exp(-tX_i)(x_1,...,x_m)

%% Global variables:
%% mgv

%% Global arrays:
%% aga(mgv,mgv,mgv),wga(mgv,mgv)

%% Local variables:
%% jlv,klv,ulv,clv,colv

%% Local operators:
%% xlo(.)

%% Local arrays:
%% ala(mgv,mgv)

   Array wga(mgv,mgv);
   Array ala(mgv,mgv);
   For klv:=1:mgv do for jlv:=mgv step -1 until 1 do
   Begin
      If jlv=mgv then write "Nu beregnes W(",klv,")";
      clv:=aga(mgv,jlv,klv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),clv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=wga(klv,ulv),clv);
      clv:=int(clv,t);
      colv:=sub(t=0,clv);
      wga(klv,jlv):=x(jlv)+clv-colv;
      if jlv=mgv then showtime;
   End;

;end;








